Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: crash after install when use a nvidia card

  1. #1

    Default crash after install when use a nvidia card

    Hi,

    In Aug/17/2021 I install Leap 15.3 in my box (x64_64). It have a Nvidia GEFORCE GT240 card.
    I have a lot of problems, because it crash o freeze when up the X11, specially when I use Chromium browser.

    At install time, I can't change the Mesa-dri-nouveau driver for the video. I try select
    the official NVIDIA repo, but I can't do it at install screen. I was warn with this message:

    (Use the Enter or Space key to scroll the text by lines or pages.)

    In order to install 'Mesa-dri-nouveau', you must agree to terms of the following license agreement:

    WARNING: Nouveau DRI/3D driver selected.

    This driver is considered experimental and is known to have issues with
    applications that use certain 3D acceleration features of modern
    NVIDIA hardware.

    Symptoms include application crashes or lockups & crashes of your system's
    graphical environment. Older Hardware and less demanding applications may work
    just fine and do benefit from the Hardware acceleration features this driver
    offers over software emulation.

    Use of this driver is especially not recommended for use with the KDE Desktop
    Environment or Qt-based Applications.

    The hardware vendor potentially offers alternative drivers.

    Please click "Accept" if you accept the risks that may come with the
    installation of this driver. Choose "Cancel" to prevent installation
    of the driver and use software emulation instead.


    Then I search a solution and find this recommendation:

    https://forums.opensuse.org/showthre...91#post3043591


    After I remove the Mesa-dri-nouveau and select KDE, the box works fine.
    If I select GNOME again, the mouse movement is very slow.

    Now, I work fine without Mesa-dri-nouveau using this configuration:

    Code:
    localhost:/var/log # uname -a
    Linux localhost.localdomain 5.3.18-59.27-default #1 SMP Tue Oct 5 10:00:40 UTC 2021 (7df2404) x86_64 x86_64 x86_64 GNU/Linux
    
    localhost:/var/log # cat /etc/SUSE-brand  
    openSUSE
    VERSION = 15.3
    

    This is a bug, in order to report it?

    Regards,
    MM

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    7,217

    Default AW: crash after install when use a nvidia card

    Your Card is only supported by the G03 driver (340 Version), this driver is not build in the nvida Repo.

    You can try to patch it and install it the Hard way........
    Last edited by Sauerland; 08-Nov-2021 at 13:09. Reason: wrong version of driver

  3. #3

    Default Re: AW: crash after install when use a nvidia card

    Quote Originally Posted by Sauerland View Post
    Your Card is only supported by the G03 driver (304 Version), this driver is not build in the nvida Repo.

    You can try to patch it and install it the Hard way........
    Months ago, I was using Leap 15.2, and I have the same issue.

    Why, If I remove the Mesa-dri-nouveau, my box still works fine using KDE?.

    In Aug/2021, before remove Mesa-dri-nouveau, the inxi output was:
    Code:
    ...
    Graphics:
      Device-1: NVIDIA GT215 [GeForce GT 240] driver: nouveau v: kernel  
      Display: wayland server: X.org 1.20.3 driver: nouveau  
      note: display driver n/a - try sudo/root resolution: <xdpyinfo missing>  
      OpenGL: renderer: NVA3 v: 3.3 Mesa 20.2.4 
    

    Today, the system works fine. Please, note the OpenGL change:
    Code:
    
    Graphics:  Device-1: NVIDIA GT215 [GeForce GT 240] driver: nouveau v: kernel  
               Display: x11 server: X.org 1.20.3 driver: nouveau unloaded: fbdev,modesetting,vesa resolution: <xdpyinfo missing>  
               OpenGL:renderer: llvmpipe (LLVM 11.0.1 128 bits) v: 4.5 Mesa 20.2.4
    I can't use GNOME with Leap 15.3.

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    7,217

    Default AW: crash after install when use a nvidia card

    I have only answered about 340 Nvidia driver, this driver does not work without patching in Leap 15.3.
    Last edited by Sauerland; 08-Nov-2021 at 13:09. Reason: wrong version of driver

  5. #5

    Default Re: AW: crash after install when use a nvidia card

    Quote Originally Posted by sucrmmc View Post
    Months ago, I was using Leap 15.2, and I have the same issue.

    Why, If I remove the Mesa-dri-nouveau, my box still works fine using KDE?.

    In Aug/2021, before remove Mesa-dri-nouveau, the inxi output was:
    Code:
    ...
    Graphics:
      Device-1: NVIDIA GT215 [GeForce GT 240] driver: nouveau v: kernel  
      Display: wayland server: X.org 1.20.3 driver: nouveau  
      note: display driver n/a - try sudo/root resolution: <xdpyinfo missing>  
      OpenGL: renderer: NVA3 v: 3.3 Mesa 20.2.4 
    

    Today, the system works fine. Please, note the OpenGL change:
    Code:
    
    Graphics:  Device-1: NVIDIA GT215 [GeForce GT 240] driver: nouveau v: kernel  
               Display: x11 server: X.org 1.20.3 driver: nouveau unloaded: fbdev,modesetting,vesa resolution: <xdpyinfo missing>  
               OpenGL:renderer: llvmpipe (LLVM 11.0.1 128 bits) v: 4.5 Mesa 20.2.4
    I can't use GNOME with Leap 15.3.
    Because you're using software rendering now.
    You may change video card to AMD/ATI Radeon HD 2000+ to get supported hardware.

  6. #6

    Default Re: AW: crash after install when use a nvidia card

    Hi!

    Please, note the same installation works fine with KDE (Plasma) but not with GNOME.

    Is this a software issue?

    Regards.

  7. #7
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    16,344

    Default Re: crash after install when use a nvidia card

    Could be a NVIDIA - Wayland issue . Mostly happens in KDE but NVIDA + Wayland can be a bad mix and Gnome defaults to Wayland

  8. #8

    Default Re: crash after install when use a nvidia card

    Hi!,

    I test different display managers:

    Gnome --> mouse pointer movement is slowly
    Gnome Classic --> works fine
    Gnome on Xorg --> works fine
    Icewm --> works fine
    Plasma --> works fine
    Plasma Full Wayland --> mouse pointer movement is slowly
    Plasma Wayland --> mouse pointer movement is slowly
    SLE Classic --> works fine

    Now, I can use Gnome Classic or Gnome on Xorg, but am I using all features from Nvidia card?

  9. #9
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    3,983
    Blog Entries
    1

    Default Re: crash after install when use a nvidia card

    Try this:
    Code:
    sudo zypper rm xf86-video-nouveau xorg-x11-driver-video
    This should cause use of display driver modesetting DIX instead of nouveau DDX. This primer explains.
    Reg. Linux User 211409 *** multibooting since 1992
    Primary: 15.3, TW, 15.1 & 13.1 on Haswell @earthlink.net
    Secondary: eComStation (OS/2) &15.2 on i965P/Radeon
    Tertiary: Debian, Fedora, Mageia, more on Rocket Lake & older Intel, AMD, NVidia....

  10. #10

    Default Re: crash after install when use a nvidia card

    Hi!

    I have same results for each wm.

    After remove rpm's, reboot, y try. This is the log:

    Code:
    localhost:# inxi -G
    Graphics:  Device-1: NVIDIA GT215 [GeForce GT 240] driver: nouveau v: kernel 
               Display: x11 server: X.org 1.20.3 driver: modesetting unloaded: fbdev,vesa resolution: <xdpyinfo missing> 
               OpenGL: renderer: llvmpipe (LLVM 11.0.1 128 bits) v: 4.5 Mesa 20.2.4 
    
    localhost:# lsmod |egrep -i -e "nouveau|nvidia|Mesa"
    nouveau              2252800  4
    i2c_algo_bit           16384  1 nouveau
    video                  53248  1 nouveau
    ttm                   118784  1 nouveau
    mxm_wmi                16384  1 nouveau
    drm_kms_helper        262144  1 nouveau
    drm                   614400  7 drm_kms_helper,ttm,nouveau
    wmi                    36864  2 mxm_wmi,nouveau
    button                 24576  1 nouveau
    
    localhost:# egrep -i -e "nouveau|nvidia|ddi|ddx|video|Mesa" /var/log/boot.msg 
    <6>[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-5.3.18-59.27-default root=UUID=6d8b31cd-9474-4261-a376-105a1690f061 video=1280x1024 splash=silent video=1920x1080 resume=/dev/disk/by-uuid/b707d282-62df-4f58-9b4a-073944a1b32d quiet mitigations=auto
    <5>[    0.220362] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-5.3.18-59.27-default root=UUID=6d8b31cd-9474-4261-a376-105a1690f061 video=1280x1024 splash=silent video=1920x1080 resume=/dev/disk/by-uuid/b707d282-62df-4f58-9b4a-073944a1b32d quiet mitigations=auto
    <6>[    0.648116] ACPI: Added _OSI(Linux-Dell-Video)
    <6>[    0.672139] acpi PNP0A08:00: ignoring host bridge window [mem 0x000c4000-0x000cbfff window] (conflicts with Video ROM [mem 0x000c0000-0x000c7fff])
    <6>[    0.709965] pci 0000:02:00.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
    <7>[    2.204268] systemd[1]: Starting dracut ask for additional cmdline parameters...
    <7>[    2.235656] systemd[1]: Finished dracut ask for additional cmdline parameters.
    <6>[    2.936353] nouveau 0000:02:00.0: vgaarb: deactivate vga console
    <6>[    2.937590] nouveau 0000:02:00.0: NVIDIA GT215 (0a3180a2)
    <6>[    3.061376] nouveau 0000:02:00.0: bios: version 70.15.20.00.00
    <3>[    3.061673] nouveau 0000:02:00.0: bios: OOB 1 d7500086 d7500086
    <6>[    3.081801] nouveau 0000:02:00.0: fb: 1024 MiB DDR3
    <6>[    4.424119] nouveau 0000:02:00.0: DRM: VRAM: 1024 MiB
    <6>[    4.424120] nouveau 0000:02:00.0: DRM: GART: 1048576 MiB
    <6>[    4.424123] nouveau 0000:02:00.0: DRM: TMDS table version 2.0
    <6>[    4.424124] nouveau 0000:02:00.0: DRM: DCB version 4.0
    <6>[    4.424126] nouveau 0000:02:00.0: DRM: DCB outp 00: 01000302 00020030
    <6>[    4.424128] nouveau 0000:02:00.0: DRM: DCB outp 01: 02000300 00000000
    <6>[    4.424129] nouveau 0000:02:00.0: DRM: DCB outp 02: 01032310 00000000
    <6>[    4.424131] nouveau 0000:02:00.0: DRM: DCB outp 03: 02021362 00020010
    <6>[    4.424132] nouveau 0000:02:00.0: DRM: DCB conn 00: 00001030
    <6>[    4.424134] nouveau 0000:02:00.0: DRM: DCB conn 01: 00002161
    <6>[    4.424135] nouveau 0000:02:00.0: DRM: DCB conn 02: 00000200
    <6>[    4.426520] nouveau 0000:02:00.0: DRM: MM: using COPY for buffer copies
    <6>[    4.507568] nouveau 0000:02:00.0: DRM: allocated 1920x1080 fb: 0x70000, bo 0000000050bef87c
    <6>[    4.507619] fbcon: nouveaudrmfb (fb0) is primary device
    <6>[    4.547209] nouveau 0000:02:00.0: [drm] fb0: nouveaudrmfb frame buffer device
    <6>[    4.588250] [drm] Initialized nouveau 1.3.1 20120801 for 0000:02:00.0 on minor 0

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •